SplPriorityQueue
SplPriorityQueue::__construct
SplPriorityQueue
PHP Manual

# SplPriorityQueue::compare

(PHP 5 >= 5.3.0)

SplPriorityQueue::compare — Compare priorities in order to place elements correctly in the heap while sifting up.

### Description

public int SplPriorityQueue::compare ( mixed `$priority1` , mixed `$priority2` )

Compare `priority1` with `priority2`.

### Parameters

`priority1`

  The priority of the first node being compared.

`priority2`

  The priority of the second node being compared.

### Return Values

Result of the comparison, positive integer if `priority1` is greater than `priority2`, 0 if they are equal, negative integer otherwise.

> Note:

> Multiple elements with the same priority will get dequeued in no particular order.

SplPriorityQueue
SplPriorityQueue::__construct
SplPriorityQueue
PHP Manual